Crashpad

Public Attributes | List of all members
crashpad::ProcessReaderWin::Thread Struct Reference

Contains information about a thread that belongs to a process. More...

`#include "snapshot/win/process_reader_win.h"`

## Public Attributes
union {
CONTEXT native
} | context
uint64_t | id
WinVMAddress | teb_address
WinVMSize | teb_size
WinVMAddress | stack_region_address
WinVMSize | stack_region_size
uint32_t | suspend_count
uint32_t | priority_class
uint32_t | priority

## Detailed Description

Contains information about a thread that belongs to a process.

The documentation for this struct was generated from the following files:

- snapshot/win/process_reader_win.h
- snapshot/win/process_reader_win.cc